MaxPHP(原Yao框架)开发手册(感谢站长提供平台)

yao 5月前 974

 

安装要求

PHP >= 7.2.0 √

使用Composer安装

composer create-project --prefer-dist max/max .

如果你想使用开发版,可以用下面的命令安装

composer create-project --prefer-dist max/max:dev-master .

运行框架

php max serve

---更多用法请见文档---


 

MaxPHP1.0.0版本特性

一、 组件和框架核心分离
二、 使用容器管理实例
三、 友好的IDE自动完成
四、 支持门面
五、 方便的数据库操作方法,支持mysql、psql等[可扩展]
六、 支持全局、路由、控制器前后置中间件
七、 跨域功能支持,支持全局跨域功能
八、 支持路由功能
九、 支持File,Memcached,Redis缓存[可扩展]
十、 可扩展驱动的视图功能
十一、支持模型操作数据库
十二、简单易用的命令行操作
十三、方便统一的配置获取操作方法
十四、方便的日志记录和错误记录功能
十五、方便易用的请求类
十六、强大的验证器
十七、简单的调试和Trace功能

 

官网:https://www.chengyao.xyz/

 

展开全文
回复
这家伙太懒了,什么也没留下。
最新回复 (1)
    • 非人类论坛 - 全球非主流域名交流
      3
      请先:  登录 注册 QQ登录